
Ruby - Bug #8913

Unclear licensing terms on lib/gserver.rb

09/15/2013 11:48 AM - terceiro (Antonio Terceiro)

Status: Closed   

Priority: Normal   

Assignee: zzak (zzak _)   

Target version:    

ruby -v: trunk Backport: 1.9.3: DONE, 2.0.0: DONE

Description

The reader of the file only says this:

Copyright (C) 2001 John W. Small All Rights Reserved

Author::        John W. Small

Documentation:: Gavin Sinclair

Licence::       Freeware.

What does "Freeware" mean? With only that said, one cannot assume that file is free software/open source.

The intention is probably to have it licensed under the same terms of the rest of Ruby, so it would be nice to change that header to

not mention any explicit licensing terms (even though "Freeware" is not a proper license) so that the global licensing terms of Ruby

also apply to this file.

Associated revisions

Revision 6f553027c52f2e0307576c5901815d414480ff77 - 09/20/2013 02:54 PM - zzak (zzak _)

lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42994 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 6f553027 - 09/20/2013 02:54 PM - zzak (zzak _)

lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42994 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fe17a46edf43cac07432c1b5a32dd1a9fbe62f7e - 09/26/2013 04:00 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 42994: [Backport #8913]

    * lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@43060 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision fe17a46e - 09/26/2013 04:00 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 42994: [Backport #8913]

    * lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@43060 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 67f6196b8bf68b106940f1bc71e6c74aac8bde16 - 10/31/2013 02:40 PM - U.Nakamura 

merge revision(s) 42994: [Backport #8913]

    * lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]
 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@43489 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 67f6196b - 10/31/2013 02:40 PM - U.Nakamura 

merge revision(s) 42994: [Backport #8913]

    * lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_1_9_3@43489 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/15/2013 01:58 PM - matz (Yukihiro Matsumoto)

He agreed with Ruby's license when we asked him to allow merging gserver.rb to the distribution.

We should have updated.

Matz.

#2 - 09/17/2013 02:04 PM - zzak (zzak _)

- Category changed from lib to doc

- Status changed from Open to Assigned

- Assignee set to zzak (zzak _)

I will update the gserver docs to reflect the license change

#3 - 09/20/2013 11:54 PM - zzak (zzak _)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r42994.

Antonio, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/gserver.rb: [DOC] correct gserver.rb license [Bug #8913]

#4 - 09/27/2013 01:01 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 1.9.3: REQUIRED, 2.0.0: REQUIRED to 1.9.3: REQUIRED, 2.0.0: DONE

r42994 is backported to ruby_2_0_0 at r43060.

#5 - 10/31/2013 11:41 PM - usa (Usaku NAKAMURA)

Backported to ruby_1_9_3 at r43489.

#6 - 01/29/2014 05:06 AM - usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: REQUIRED, 2.0.0: DONE to 1.9.3: DONE, 2.0.0: DONE
